Skip to main content
Use these operations to interact with entities in Cortex. To see additional API operations specific to team entities, see the Teams API page.

Required permissions

  • Edit entities: Your API key must have the Edit entities permission.
  • Archive entities: Your API key must have the Archive entities permission.
  • Delete entities: Your API key must have Delete entities permission.

Operations

List entities

GET /api/v1/catalog

Search entities

GET /api/v1/catalog/search

List entity descriptors

GET /api/v1/catalog/descriptors

Retrieve entity details

GET /api/v1/catalog/{tagOrId}

Retrieve most recent GitOps log for entity

GET /api/v1/catalog/{tagOrId}/gitops-logs

Retrieve entity descriptor

GET /api/v1/catalog/{tagOrId}/openapi

Retrieve entity Scorecard scores

GET /api/v1/catalog/{tagOrId}/scorecards

Create or update entity

POST /api/v1/open-api

Archive an entity

PUT /api/v1/catalog/{tagOrId}/archive

Unarchive an entity

PUT /api/v1/catalog/{tagOrId}/unarchive

Create or patch entity

PATCH /api/v1/open-api

Delete entity

DELETE /api/v1/catalog/{tagOrId}

Delete entities by type

DELETE /api/v1/catalog

Get Kubernetes resource details for an entity

GET /api/v1/catalog/{tagOrId}/k8s
Last modified on September 24, 2026